Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.pebble.domain
Class MultiBlog

    java.lang.Object
      net.sourceforge.pebble.domain.TimePeriod
          net.sourceforge.pebble.domain.AbstractBlog
              net.sourceforge.pebble.domain.MultiBlog

    public class MultiBlog

extends AbstractBlog

A composite blog is one that is made up of one or more simple blogs. This is effectively a container when Pebble is running in multi-user mode - there being a single MultiBlog and many Blog instances.
In addition to managing one or more simple blogs, a composite blog provides some aggegration functionality over the blogs it manages in order to generate an aggregated XML (RSS/RDF/Atom) feed.

Author:
  Simon Brown

Field Summary

Fields inherited from class net.sourceforge.pebble.domain.AbstractBlog
`AUTHOR_KEY, BLOG_PROPERTIES_FILE, CHARACTER_ENCODING_KEY, COUNTRY_KEY, DESCRIPTION_KEY, FALSE, IMAGE_KEY, LANGUAGE_KEY, NAME_KEY, properties, RECENT_BLOG_ENTRIES_ON_HOME_PAGE_KEY, RECENT_RESPONSES_ON_HOME_PAGE_KEY, THEME_KEY, TIMEZONE_KEY, TRUE`

Constructor Summary
`MultiBlog(java.lang.String root)` Creates a new Blog instance, based at the specified location.

Method Summary
`protected java.util.Properties` | `getDefaultProperties()` Gets the default properties for a MultiBlog.
`java.lang.String` | `getId()` Gets the ID of this blog.
`java.util.Date` | `getLastModified()` Gets the date that this blog was last updated.
`java.util.List` | `getRecentBlogEntries(int numberOfEntries)` Gets the most recent blog entries, the number of which is specified.
`java.lang.String` | `getRelativeUrl()` Gets the relative URL where this blog is deployed.
`java.lang.String` | `getUrl()` Gets the URL where this blog is deployed.
`void` | `log(HttpServletRequest request, int status)` Logs this request for blog.

Methods inherited from class net.sourceforge.pebble.domain.AbstractBlog
`clearMessages, error, getAuthor, getCalendar, getCharacterEncoding, getContext, getCountry, getDescription, getDomainName, getImage, getImagesDirectory, getIndexesDirectory, getLanguage, getLocale, getLogsDirectory, getMessages, getName, getNumberOfMessages, getProperties, getProperty, getProtocol, getRecentBlogEntries, getRecentBlogEntriesOnHomePage, getRecentResponsesOnHomePage, getRoot, getSearchIndexDirectory, getTheme, getTimeZone, getTimeZoneId, info, init, isConfigured, loadProperties, removeProperty, setProperty, setRecentBlogEntries, setRoot, storeProperties, toString, warn`

Methods inherited from class net.sourceforge.pebble.domain.TimePeriod
`getBlog, getDate, setDate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MultiBlog

    public MultiBlog(java.lang.String root)

  Creates a new Blog instance, based at the specified location.

  Parameters:
    `root` - an absolute path pointing to the root directory of the blog

Method Detail

### getDefaultProperties

    protected java.util.Properties getDefaultProperties()

  Gets the default properties for a MultiBlog.

  Specified by:
    `getDefaultProperties` in class `AbstractBlog`
  Returns:
    a Properties instance

### getId

    public java.lang.String getId()

  Gets the ID of this blog.

  Specified by:
    `getId` in class `AbstractBlog`
  Returns:
    the ID as a String

### getUrl

    public java.lang.String getUrl()

  Gets the URL where this blog is deployed.

  Specified by:
    `getUrl` in class `AbstractBlog`
  Returns:
    a URL as a String

### getRelativeUrl

    public java.lang.String getRelativeUrl()

  Gets the relative URL where this blog is deployed.

  Specified by:
    `getRelativeUrl` in class `AbstractBlog`
  Returns:
    a URL as a String

### getLastModified

    public java.util.Date getLastModified()

  Gets the date that this blog was last updated.

  Specified by:
    `getLastModified` in class `AbstractBlog`
  Returns:
    a Date instance representing the time of the most recent entry

### getRecentBlogEntries

    public java.util.List getRecentBlogEntries(int numberOfEntries)

  Gets the most recent blog entries, the number of which is specified.

  Specified by:
    `getRecentBlogEntries` in class `AbstractBlog`
  Parameters:
    `numberOfEntries` - the number of entries to get
  Returns:
    a List containing the most recent blog entries

### log

    public void log(HttpServletRequest request,
                    int status)

  Logs this request for blog.

  Specified by:
    `log` in class `AbstractBlog`
  Parameters:
    `request` - the HttpServletRequest instance for this request

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2006, Simon Brown. All Rights Reserved.